dbus-1.3.1: A client library for the D-Bus IPC system.

Safe Haskell | Safe-Inferred
Language | Haskell2010

DBus.Introspection.Types

# Documentation

data Object #

Constructors

Object |
Fields objectPath :: ObjectPath objectInterfaces :: [Interface] objectChildren :: [Object]

#### Instances

Instances details

Show Object # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> Object -> ShowS show :: Object -> String showList :: [Object] -> ShowS
Eq Object # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: Object -> Object -> Bool (/=) :: Object -> Object -> Bool

data Interface #

Constructors

Interface |
Fields interfaceName :: InterfaceName interfaceMethods :: [Method] interfaceSignals :: [Signal] interfaceProperties :: [Property]

#### Instances

Instances details

Show Interface # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> Interface -> ShowS show :: Interface -> String showList :: [Interface] -> ShowS
Eq Interface # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: Interface -> Interface -> Bool (/=) :: Interface -> Interface -> Bool

data Method #

Constructors

Method |
Fields methodName :: MemberName methodArgs :: [MethodArg]

#### Instances

Instances details

Show Method # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> Method -> ShowS show :: Method -> String showList :: [Method] -> ShowS
Eq Method # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: Method -> Method -> Bool (/=) :: Method -> Method -> Bool

data MethodArg #

Constructors

MethodArg |
Fields methodArgName :: String methodArgType :: Type methodArgDirection :: Direction

#### Instances

Instances details

Show MethodArg # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> MethodArg -> ShowS show :: MethodArg -> String showList :: [MethodArg] -> ShowS
Eq MethodArg # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: MethodArg -> MethodArg -> Bool (/=) :: MethodArg -> MethodArg -> Bool

data Direction #

Constructors

In |
Out |

#### Instances

Instances details

Show Direction # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> Direction -> ShowS show :: Direction -> String showList :: [Direction] -> ShowS
Eq Direction # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: Direction -> Direction -> Bool (/=) :: Direction -> Direction -> Bool

data Signal #

Constructors

Signal |
Fields signalName :: MemberName signalArgs :: [SignalArg]

#### Instances

Instances details

Show Signal # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> Signal -> ShowS show :: Signal -> String showList :: [Signal] -> ShowS
Eq Signal # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: Signal -> Signal -> Bool (/=) :: Signal -> Signal -> Bool

data SignalArg #

Constructors

SignalArg |
Fields signalArgName :: String signalArgType :: Type

#### Instances

Instances details

Show SignalArg # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> SignalArg -> ShowS show :: SignalArg -> String showList :: [SignalArg] -> ShowS
Eq SignalArg # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: SignalArg -> SignalArg -> Bool (/=) :: SignalArg -> SignalArg -> Bool

data Property #

Constructors

Property |
Fields propertyName :: String propertyType :: Type propertyRead :: Bool propertyWrite :: Bool

#### Instances

Instances details

Show Property # |
Instance details Defined in DBus.Introspection.Types Methods showsPrec :: Int -> Property -> ShowS show :: Property -> String showList :: [Property] -> ShowS
Eq Property # |
Instance details Defined in DBus.Introspection.Types Methods (==) :: Property -> Property -> Bool (/=) :: Property -> Property -> Bool